Subject: RE: WWAN rtnetlink follow-up

From: "Kumar, M Chetan" <[email-masked]>
Date: Mon, 7 Jun 2021 15:04:40 +0000

Hi Loic,

I have verified IOSM driver by cherry-picking the below [FIXUP] on top of Johannes & Sergey RFC patch.
Data path is functional. I will resubmit the IOSM Driver patches. 
https://git.linaro.org/people/loic.poulain/linux.git/commit/?h=wwan-dev&id=fd7e6d78ebad9930d22e5b5f430cae9ad5fc89fe
https://git.linaro.org/people/loic.poulain/linux.git/commit/?h=wwan-dev&id=6fb7cbd0c0bde0de872744e89ee87e36ed8ec6a7

RFC Series:
https://lore.kernel.org/netdev/20210602082840.85828-1-johannes@xxxxxxxxxxxxxxxx/
https://lore.kernel.org/netdev/[email-masked]/

Regards,
M Chetan Kumar

> -----Original Message-----
> From: Loic Poulain <[email-masked]>
> Sent: Friday, June 4, 2021 3:58 PM
> To: Kumar, M Chetan <[email-masked]>; Johannes Berg
> <[email-masked]>; Sergey Ryazanov <[email-masked]>
> Cc: Network Development <[email-masked]>; Jakub Kicinski
> <[email-masked]>; David Miller <[email-masked]>; Dan Williams
> <[email-masked]>
> Subject: WWAN rtnetlink follow-up
> 
> Hi folks,
> 
> Thanks for your involvement and great work on this WWAN topic. I've picked
> your patches in my tree for testing (with a Qualcomm MHI
> modem):
> https://git.linaro.org/people/loic.poulain/linux.git/log/?h=wwan-dev
> 
> This is minimal support for now since mhi_net only supports one link,
> Essentially for testing purposes, but I plan to rework it to support more than
> one once wwan rtnetlink is accepted and merged, This limitation will not
> exist for the Intel IOSM driver.
> 
> I'm probably going to rebase that and squash the fix commits (from Sergey
> and I) to Johannes changes if everyone agrees. Then I'll submit the entire
> series.
> 
> Not sure what is the procedure for iproute2, should it be included in the
> series or be part of a dedicated one?
> 
> Chetan, you can use that tree for your iosm work, or cherry-pick the [FIXUP]
> changes if you already work on the submitted RFC series.
> 
> Refs:
> https://lore.kernel.org/netdev/20210602082840.85828-1-
> johannes@xxxxxxxxxxxxxxxx/
> https://lore.kernel.org/netdev/20210603044954.8091-1-
> [email-masked]/
> 
> Thanks,
> Loic